Skip to main content

Class ResponsePaymentRequestAPIRequest


Properties

NAMETYPEREQUIREDDESCRIPTION
Resource/{version}/institutions/{rtnnumber}/environments/{envname}/products/paycenter/networks/rtp/response-to-payment-requests
Request MethodHTTP POST
Response formatJSON
Content Typeapplication/jsonYesSpecify this as a "Content-Type" header property
AuthorizationBearer access_tokenYesSpecify this as a "Authorization" header property and pass OAuth 2.0 access token

Path parameters

ParameterTYPEREQUIREDDescription
rtnnumberstringYesDebtor Financial Institution Routing Number
envnameStringYesDenotes environment name where the API referred.

Possible values
  • SANDBOX
  • PROD

Fields

ParameterTYPEREQUIREDDescription
StatusstringYesEnum values: Accepted, Rejected

ResponseToRequestForPayment.Status
IdstringYesThis Id will be the unique payment info id, which is used to identify the payment request.

ResponseToRequestForPayment.Id
AmountnumberDefine the accepted amount on approving the payment request. This is required only when the status is Accepted

ResponseToRequestForPayment.Amount
ReasonCodestringDefine the reason for rejecting the payment request. This is required only when the status is Rejected

ResponseToRequestForPayment.ReasonCode
NotesstringFree text. Any additional information or remarks when sending the payment confirmation.

ResponseToRequestForPayment.Notes
UserNamestringYesDefine the Name of the User Invoking the API

ResponseToRequestForPayment.UserName

Request body : JSON representation

{
"ResponseToRequestForPayment": {
"Status": string,
"Id": string,
"Amount": number,
"ReasonCode": string,
"Notes": string,
"UserName": string
}
}

Sample Request 1:

POST /v1/institutions/111025466/environments/sandbox/products/paycenter/networks/rtp/response-to-payment-requests HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer Op8dNG95eDBKa1B.........Yzh5M1ZyZnNlNEs5rfuI
Content-Type: application/json

Sample Request Body 1

{
"ResponseToRequestForPayment": {
"Status": "Accepted",
"Id": "20211027101010101MTBRHQN00885222784",
"Amount": 87193.07,
"Notes": "Sample Note",
"UserName": "Test User"
}
}

Sample Request 2:

POST /v1/institutions/111025466/environments/sandbox/products/paycenter/networks/rtp/response-to-payment-requests HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer Op8dNG95eDBKa1B.........Yzh5M1ZyZnNlNEs5rfuI
Content-Type: application/json

Sample Request Body 2

{
"ResponseToRequestForPayment": {
"Status": "Rejected",
"Id": "20211027101010101MTBRHQN00885222785",
"ReasonCode": "IPAY",
"Notes": "Sample Note",
"UserName": "Test User"
}
}